For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTParse File (Sync)
      • POSTParse File (Async)
      • GETGet Parse Run
      • DELDelete Parse Run
      • GETList Parse Runs
  • Webhook Events
LogoLogo
EndpointsParse

Delete Parse Run

DELETE
/parse_runs/:id
DELETE
/parse_runs/:id
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.parseRuns.delete("parse_run_id_here");
1{
2 "id": "pr_xK9mLPqRtN3vS8wF5hB2cQ"
3}

Delete a parse run and all associated data from Extend. This operation is permanent and cannot be undone.

This endpoint can be used if you’d like to manage data retention on your own rather than automated data retention policies. Or make one-off deletions for your downstream customers.

Was this page helpful?
Previous

List Parse Runs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the parse run to delete.

Example: "pr_xK9mLPqRtN3vS8wF5hB2cQ"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Response

Successfully deleted parse run
idstring
The ID of the deleted parse run.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.